%global _hardened_build 1

Summary: Bidirectional data relay between two data channels ('netcat++')
Name: socat
Version: 1.7.3.1
Release: 1%{?dist}
License: GPLv2
Url:  http://www.dest-unreach.org/%{name}
Source: socat-1.7.3.1.tar.gz
Patch1: dummy.patch
# End Oracle Patches


Group: Applications/Internet
BuildRequires: openssl-devel readline-devel ncurses-devel
BuildRequires: autoconf kernel-headers > 2.6.18

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these. 

%prep
%setup -q
%patch1 -p1

%build
%configure  \
        --enable-help --enable-stdio \
        --enable-fdnum --enable-file --enable-creat \
        --enable-gopen --enable-pipe --enable-termios \
        --enable-unix --enable-ip4 --enable-ip6 \
        --enable-rawip --enable-tcp --enable-udp \
        --enable-listen --enable-proxy --enable-exec \
        --enable-system --enable-pty --enable-readline \
        --enable-openssl --enable-sycls --enable-filan \
        --enable-retry --enable-libwrap

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%files 
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc COPYING* README SECURITY
%doc daemon.sh ftp.sh gatherinfo.sh mail.sh proxy.sh 
%doc proxyecho.sh readline.sh readline-test.sh
%doc socks4echo.sh socks4a-echo.sh test.sh
%{_bindir}/socat
%{_bindir}/filan
%{_bindir}/procan
%{_mandir}/man1/socat.1*

%changelog
* Wed Feb 03 2016 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.7.3.1-1
- Rebase to 1.7.3.1
- Socat security advisory 7 - Created new 2048bit DH modulus {CVE-2016-2217}

* Wed Apr 01 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.7.3.0-1
- Rebase to 1.7.3.0
